WeBid Bug Tracking

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000128WeBidAuctionspublic2009-11-29 00:012015-05-07 08:57
ReporterBox Lot 
Assigned Torenlok 
PrioritynoneSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.8.4 
Target VersionFixed in Version 
Summary0000128: Search Pagination issue & Advanced search Refreshes to blank and no ALL category default
Description0.8.4
Haven't loaded up on test auctions to do the full test but I do note that with the 4 auctions I currently have that the search result that should be single page brings up 2 pages of results with the 2nd page empty of course and the message "search keyword cannot be empty".

I also notice that when doing the same term search in advanced and simply entering the keyword and processing that it just refreshes rather then defaulting to all categories like search.
Then if I select a specific category the page just refreshes before I can submit. Both the term and category are gone after refresh.

Old search.php works for the term, defaulting to all categories, but also refreshes if you try to select a category but you can then retype the term(s) and it works.
TagsNo tags attached.
import_id128
Thread
Attached Files

- Relationships

-  Notes
(0000381)
nay27uk (reporter)
2009-12-16 18:06
edited on: 1970-01-01 00:00

just dont find anything on mine whatever I put as the search criteria
(0000384)
Harlequin (viewer)
2009-12-21 13:33
edited on: 1970-01-01 00:00

This was happening with 0.8.3. Have just upgraded to 0.8.4 and the same is occurring. Still tweaking our site but the error can be viewed easily as we have plenty of items listed. See www.vinylandvideo.co.uk. We got error searching for "green" , "peabo", but am sure that it would also happen for other items.

We get php code saying "... PAGE=5&id=" where normally it would say "...PAGE=5&id=0".

Sorry, not a PHP coder so cannot elaborate too much. Also noticed that the search only seems to show a maximum of 50 items without giving the option of going over to another page. We have over 500 item listed and doing a search on the words "a" or "the" will always produce just 50 items on PAGE 1.

Hope this helps your efforts to remove the bugs.

Regards,

Harlequin.
(0000385)
Box Lot (reporter)
2009-12-21 18:56
edited on: 1970-01-01 00:00

Someone wrote

search result that should be single page brings up 2 pages of results with the 2nd page empty of course and the message "search keyword cannot be empty".

Your standard search brings up 4 page navigation when only one page exists. 2nd page results in same message.

All else is identical, thanks for the example site which should help Renlok see what's up.
(0000386)
Box Lot (reporter)
2009-12-23 01:46
edited on: 2009-12-23 01:49

0.8.5
Went to test this and after standard and advanced search and noticing things were still wrong and wanting to document I clicked back on advanced search and all that loaded were the last search results and no advanced search selection screen.

Seems like it is holding on to the last advanced search criteria or something.

Had to delete cookies to get back to advanced search screen. Then doing a simple search without selections brings up results but again breaks getting back to advanced search selection.
(0000387)
renlok (administrator)
2009-12-23 11:40
edited on: 1970-01-01 00:00

after
[php]
if (!empty($_POST))
{
    $_SESSION['advs'] = $_POST;
}
[/php]
add
[php]
elseif (!isset($_GET['PAGE']) && empty($_POST))
{
    unset($_SESSION['advs']);
}
[/php]

this seems to work
(0000388)
Box Lot (reporter)
2009-12-24 03:28
edited on: 2009-12-24 03:29

Done.

If no auctions in the category
it reloads advanced search when selecting category/subcategory though it now holds on the the category selection versus resetting everything.

If there are items then it takes you to the results without clicking.

Straight advanced search with a term only seemed to work.*

Straight search from bar does still adds extra page(s) with "Search keyword cannot be empty". I'm guessing the number of "extra" pages are governed by the number of results per page set since another user had a different number and I know I adjusted my number per page some time back.

*I have to look more closely since I think there are other issues with Featured display but need to check my setting and how many are actually Featured before I report back any additional weirdness.
(0000389)
renlok (administrator)
2009-12-24 21:08
edited on: 1970-01-01 00:00

ok ive completely fixed this now or atleast seems to be completely working
in rev. 208
http://simpleauction.svn.sf.net/viewvc/simpleauction/WeBid/trunk/?sortby=rev&sortdir=down&pathrev=208[/url] [^]
http://simpleauction.svn.sf.net/viewvc/simpleauction/WeBid/trunk/includes/?sortby=rev&sortdir=down&pathrev=208[/url] [^]

update all the files the have 208 next to them they are files with the fixes in
(0000390)
Box Lot (reporter)
2009-12-24 23:52
edited on: 2009-12-25 00:04

Didn't appear to fix all of the issues.
-pull down selection automatically searches as noted in last posting.
Also if you then go back and reselect the top item (blank) in categories pull down it does search for all items and shows results without processing the search. Same kind of thing, issue is that search is performed before any other selections can be made and before user can click to search.


Standard search pagination issue seems to be fixed but something broke my formatting so have to relook at that after I fix things.
EDIT: Confirmed that standard search no longer adds extra pages.

Links were a little confusing and sorting is wacked on Sourceforge;
Files changed:
item_watch.php
header.php
browse.php
pay.php
feedback.php
adsearch.php
search.php
buying.php

includes:
browseitems.inc.php

Didn't load config and install/docs of course but think that more then covers search related which I think would only be 3 of these.
(0001339)
renlok (administrator)
2015-05-07 08:57

Cannot reproduce any of this anymore assuming is has long since been fixed

- Issue History
Date Modified Username Field Change
2015-04-01 13:17 renlok New Issue
2015-04-01 13:17 renlok import_id => 128
2015-04-01 13:17 renlok Date Submitted 2015-04-01 13:17 => 2009-11-29 00:01
2015-04-01 13:17 renlok Last Update 2015-04-01 13:17 => 2009-12-24 23:52
2015-05-07 08:57 renlok Note Added: 0001339
2015-05-07 08:57 renlok Status new => resolved
2015-05-07 08:57 renlok Resolution open => fixed
2015-05-07 08:57 renlok Assigned To => renlok


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker